From ee8fb27595c82a95282f947208a3447b93bb5cfc Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Fri, 4 Jun 2021 02:29:03 +0200
Subject: [PATCH] docs: fix a few typos

---
 doc/src/sgml/postgres-fdw.sgml   | 2 +-
 doc/src/sgml/ref/analyze.sgml    | 2 +-
 doc/src/sgml/ref/pg_amcheck.sgml | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/doc/src/sgml/postgres-fdw.sgml b/doc/src/sgml/postgres-fdw.sgml
index fb87372bde..65171841c9 100644
--- a/doc/src/sgml/postgres-fdw.sgml
+++ b/doc/src/sgml/postgres-fdw.sgml
@@ -386,7 +386,7 @@ OPTIONS (ADD password_required 'false');
     <filename>postgres_fdw</filename> supports asynchronous execution, which
     runs multiple parts of an <structname>Append</structname> node
     concurrently rather than serially to improve performance.
-    This execution can be controled using the following option:
+    This execution can be controlled using the following option:
    </para>
 
    <variablelist>
diff --git a/doc/src/sgml/ref/analyze.sgml b/doc/src/sgml/ref/analyze.sgml
index 0879004b84..176c7cb225 100644
--- a/doc/src/sgml/ref/analyze.sgml
+++ b/doc/src/sgml/ref/analyze.sgml
@@ -255,7 +255,7 @@ ANALYZE [ VERBOSE ] [ <replaceable class="parameter">table_and_columns</replacea
    in addition, it will recurse into each partition and update its statistics.
    (However, in multi-level partitioning scenarios, each leaf partition
    will only be analyzed once.)
-   By constrast, if the table being analyzed has inheritance children,
+   By contrast, if the table being analyzed has inheritance children,
    <command>ANALYZE</command> will gather statistics for it twice:
    once on the rows of the parent table only, and a second time on the
    rows of the parent table with all of its children.  This second set of
diff --git a/doc/src/sgml/ref/pg_amcheck.sgml b/doc/src/sgml/ref/pg_amcheck.sgml
index 04667e9002..46d12110b1 100644
--- a/doc/src/sgml/ref/pg_amcheck.sgml
+++ b/doc/src/sgml/ref/pg_amcheck.sgml
@@ -290,7 +290,7 @@ PostgreSQL documentation
        or <literal>--relation</literal> matches no objects, it is a fatal
        error. This option downgrades that error to a warning.
        If this option is used with <literal>--quiet</literal>, the warning
-       will be supressed as well.
+       will be suppressed as well.
       </para>
      </listitem>
     </varlistentry>
-- 
2.30.1 (Apple Git-130)

